API referenceReference
Query_batch
AuthorizationBearer <token>
prefix.dev resource access token with the configured Basilisk audience. Pixi audit also accepts Basilisk user API tokens via bearerAuth, but never browser sessions.
In: header
Request Body
application/json
Up to 1000 OSV package queries, returned in request order.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/querybatch" \ -H "Content-Type: application/json" \ -d '{ "queries": [ { "package": { "purl": "pkg:conda/conda-forge/pillow@10.2.0" } }, { "package": { "purl": "pkg:conda/conda-forge/curl@8.4.0" } } ] }'{ "results": [ { "vulns": [ { "id": "string", "modified": "string" } ] } ]}Empty
Empty
Empty
Empty
